
Name:           onionshare
Version:        1.3
Release:        %mkrel 2
Summary:        Securely and anonymously share files of any size
License:        GPLv3
URL:            https://onionshare.org/
Source0:        https://github.com/micahflee/%{name}/archive/%{commit}/%{name}-%{version}.tar.xz
Group:		System/Servers
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  desktop-file-utils
Requires: python3
Requires: python3-flask
Requires: python3-stem
Requires: python3-qt5
Requires: python3-werkzeug
Requires: python3-itsdangerous
Requires: tor-browser-bundle
Requires: python3-jinja2
Requires: python3-sip
Requires: python3-click

%description
OnionShare lets you securely and anonymously share files of any size. It works
by starting a web server, making it accessible as a Tor hidden service, and
generating an unguessable URL to access and download files. It doesn't require
setting up a server on the internet somewhere or using a third party
file sharing service. You host files on your own computer and use a Tor
hidden service to make it temporarily accessible over the internet. The other
user just needs to use Tor Browser to download a file from you.


%prep
%setup -q
sed -i '/^Encoding/ d' install/%{name}.desktop


%build
%{__python3} setup.py build


%install
rm -rf %buildroot
%{__python3} setup.py install --skip-build --root %{buildroot}
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop


%files
%doc LICENSE README.md
# exclude gnome3 nautilus extension we do not have gnome
%exclude %{_datadir}/nautilus-python/extensions/onionshare-nautilus.py
%{_datadir}/pixmaps/*
%{_datadir}/%{name}/*
%{_datadir}/applications/*
%{_datadir}/appdata/%{name}.appdata.xml
%{_bindir}/%{name}
%{_bindir}/%{name}-gui
%{python3_sitelib}/%{name}/*
%{python3_sitelib}/%{name}_gui/*
%{python3_sitelib}/%{name}-%{version}-py3.*.egg-info


%changelog
* Mon Jul 02 2018 adrianomorselli <adrianomorselli> 1.3-1uplos2018
- update

* Mon Jul 02 2018 adrianomorselli <adrianomorselli> 1.1-1uplos2018
- update
